/**************************************************************************
 
  The dune-fem module is a module of DUNE (see www.dune-project.org).
  It is based on the dune-grid interface library 
  extending the grid interface by a number of discretization algorithms
  for solving non-linear systems of partial differential equations.

  Copyright (C) 2003 - 2015 Robert Kloefkorn
  Copyright (C) 2003 - 2010 Mario Ohlberger 
  Copyright (C) 2004 - 2015 Andreas Dedner
  Copyright (C) 2005        Adrian Burri
  Copyright (C) 2005 - 2015 Mirko Kraenkel
  Copyright (C) 2006 - 2015 Christoph Gersbacher
  Copyright (C) 2006 - 2015 Martin Nolte
  Copyright (C) 2011 - 2015 Tobias Malkmus
  Copyright (C) 2012 - 2015 Stefan Girke
  Copyright (C) 2013 - 2015 Claus-Justus Heine
  Copyright (C) 2013 - 2014 Janick Gerstenberger
  Copyright (C) 2013        Sven Kaulman
  Copyright (C) 2013        Tom Ranner
  Copyright (C) 2015        Marco Agnese
  Copyright (C) 2015        Martin Alkaemper


  The dune-fem module is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.

  The dune-fem module is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
**************************************************************************/
//**************************************************************
//  (C) written and directecd by Robert Kloefkorn
//**************************************************************

#ifndef __PRINTHELP_CC__
#define __PRINTHELP_CC__

static void print_help(const char *funcName)
{
  printf("Alternative 1:\n");
  printf("usage: %s paramfile:paramfile <i_start> <i_end>", funcName);
  printf("%s reads a sequence of grids with discretefunctions\n",
   funcName);
  printf("      and displays all data with GRAPE\n");
  printf("      The parameters fem.prefix and fem.io.datafileprefix \n");
  printf("      are read from the parameterfile. \n");

  printf("Alternative 2:\n");
  printf("usage: %s <i_start> <i_end> -i increment", funcName);
  printf(" [-h] [-help] [-p path] ");
  printf("[-m grid] [-s df] [-v vecdf] [[-s drv] [-v drdv]] [-replay manager.replay file]\n");

  printf("%s reads a sequence of grids with discretefunctions\n",
   funcName);
  printf("      and displays all data with GRAPE\n");
  printf("options:\n");
  printf("   -h or -help: display this help\n");
  printf("   -f: use one fixed grid (from non adaptive simulations)\n");
  printf("   -p path: read data from path \n");
  printf("   -m grid: basename of data files \n");
  printf("   -s df:  read discrete function with basename 'df'\n");

  printf("Example\n");
  printf("%s 0 10 -i 5 -s u_h \n",funcName);
  printf("  reads grid grid0000000000 with scalar function u_h0000000000 and\n");
  printf("  then grid0000000005 with u_h0000000005 and\n");
  printf("  and finally grid0000000010 with u_h0000000010\n");
  exit(0);
}
#endif
