/**************************************************************************
 
  The dune-fem module is a module of DUNE (see www.dune-project.org).
  It is based on the dune-grid interface library 
  extending the grid interface by a number of discretization algorithms
  for solving non-linear systems of partial differential equations.

  Copyright (C) 2003 - 2015 Robert Kloefkorn
  Copyright (C) 2003 - 2010 Mario Ohlberger 
  Copyright (C) 2004 - 2015 Andreas Dedner
  Copyright (C) 2005        Adrian Burri
  Copyright (C) 2005 - 2015 Mirko Kraenkel
  Copyright (C) 2006 - 2015 Christoph Gersbacher
  Copyright (C) 2006 - 2015 Martin Nolte
  Copyright (C) 2011 - 2015 Tobias Malkmus
  Copyright (C) 2012 - 2015 Stefan Girke
  Copyright (C) 2013 - 2015 Claus-Justus Heine
  Copyright (C) 2013 - 2014 Janick Gerstenberger
  Copyright (C) 2013        Sven Kaulman
  Copyright (C) 2013        Tom Ranner
  Copyright (C) 2015        Marco Agnese
  Copyright (C) 2015        Martin Alkaemper


  The dune-fem module is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.

  The dune-fem module is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
**************************************************************************/
#ifndef DUNE_FEM_GRIDDECLARATION_HH
#define DUNE_FEM_GRIDDECLARATION_HH

#include <dune/grid/geometrygrid/declaration.hh>

#if HAVE_DUNE_ALUGRID
#include <dune/alugrid/common/declaration.hh>
#else // #if HAVE_DUNE_ALUGRID
#include <dune/grid/alugrid/common/declaration.hh>
#endif // #if HAVE_DUNE_ALUGRID

#if HAVE_DUNE_SPGRID
#include <dune/grid/spgrid/declaration.hh>
#endif // #if HAVE_DUNE_SPGRID

#if HAVE_DUNE_METAGRID
#include <dune/grid/cacheitgrid/declaration.hh>
#include <dune/grid/cartesiangrid/declaration.hh>
#include <dune/grid/filteredgrid/declaration.hh>
#include <dune/grid/idgrid/declaration.hh>
#include <dune/grid/multispgrid/declaration.hh>
#include <dune/grid/parallelgrid/declaration.hh>
#include <dune/grid/spheregrid/declaration.hh>
#endif // #if HAVE_DUNE_METAGRID

namespace Dune
{

  // Forward Declarations for all Standard Grids
  // -------------------------------------------

  class OneDGrid;

  template< int dim, int dimw, class ctype >
  class SGrid;

  template< int dim >
  class UGGrid;

  template< int dim, class CoordCont >
  class YaspGrid;

  template< int dim, int dimworld >
  class AlbertaGrid;

} // namespace Dune

#endif // #ifndef DUNE_FEM_GRIDDECLARATION_HH
